(height, percent, charge, low, lpm, m_color, b_color) {
	function draw_rRect( left, top, right, bottom, r ) {
		ctx.beginPath();
		ctx.moveTo( left + r, top );
		ctx.lineTo( right - r, top );
		ctx.arc( right - r, top + r, r, -pi/2, 0, false);
		ctx.lineTo( right,  bottom - r );
		ctx.arc( right - r, bottom - r, r, 0, pi/2, false);
		ctx.lineTo( left + r, bottom);
		ctx.arc( left + r, bottom - r, r, pi/2, pi, false);
		ctx.lineTo( left, top + r);
		ctx.arc( left + r, top + r, r, pi, pi*3/2, false);
		ctx.closePath();
		ctx.fill();
	}
	
	var canvas = document.createElement("canvas");
	var r = height / 20;
	canvas.height = height/2 + r*2;
	canvas.width = height/2 * 2.1;
	var ctx = canvas.getContext("2d");
	
	var m = height / 20;
	var p_Left = 0;
	var p_Right = height/2 * 1.9;
	var p_Top = 0 + r;
	var p_Bottom = height/2 + r;
	var pi = Math.PI;
	
	ctx.fillStyle = "rgba( 255, 255, 255, 0.3 )";
	draw_rRect( p_Right-r, p_Top + m*3+2, p_Right + m*2, p_Bottom - m*3+2, r );
	draw_rRect( p_Right-r, p_Top + m*3+1, p_Right + m*2, p_Bottom - m*3+1, r );
	var grad  = ctx.createLinearGradient( 0, p_Top + m*3, 0, p_Bottom - m*3 );
	grad.addColorStop( 0, "#434956" ); 
	grad.addColorStop( 1, "#41495C" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Right-r, p_Top + m*3, p_Right + m*2, p_Bottom - m*3, r );

	ctx.fillStyle = "rgba( 255, 255, 255, 0.3 )";
	draw_rRect( p_Left, p_Top+2, p_Right, p_Bottom+2, r );
	draw_rRect( p_Left, p_Top+1, p_Right, p_Bottom+1, r );
	grad  = ctx.createLinearGradient( 0, p_Top, 0, p_Bottom );
	grad.addColorStop( 0, "#2F3648" ); 
	grad.addColorStop( 1, "#7B828F" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Left, p_Top, p_Right, p_Bottom, r );

	grad  = ctx.createLinearGradient( 0, p_Top + m*3 + r, 0, p_Bottom - m*3 - r );
	grad.addColorStop( 0, "#FDFDFD" ); 
	grad.addColorStop( 1, "#898989" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Right, p_Top + m*3 + r, p_Right + m, p_Bottom - m*3 - r , 0 );

	grad  = ctx.createLinearGradient( 0, p_Top+r, 0, p_Bottom-r );
	grad.addColorStop( 0, "#4D4D4D" ); 
	grad.addColorStop( 3/16, "#4D4D4D" ); 
	grad.addColorStop( 14/16, "#C5C5C5" ); 
	grad.addColorStop( 1, "#C5C5C5" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Left+r, p_Top+r, p_Right-r, p_Bottom-r, 0 );

	var rectWidth =  (p_Right-p_Left-r*2) * percent / 100;
	rectWidth *= percent<=20 ? 5 : 1;
	grad  = ctx.createLinearGradient( 0, p_Top+r, 0, p_Bottom-r );
	if ( percent <= 20 ) {
		grad.addColorStop( 1/16, "#D83A3B" );
		grad.addColorStop( 3/16, "#FFA3B6" );
		grad.addColorStop( 6/16, "#FFA9B8" );
		grad.addColorStop( 13/16, "#8D0809" );
		grad.addColorStop( 14/16, "#860808" );
		grad.addColorStop( 16/16, "#9E2117" );
//		rectWidth *= 5;
	}
	else {
		grad.addColorStop( 1/16, "#70D83A" );
		grad.addColorStop( 3/16, "#C5FF8D" );
		grad.addColorStop( 6/16, "#C5FF86" );
		grad.addColorStop( 13/16, "#2B8C0A" );
		grad.addColorStop( 14/16, "#278608" );
		grad.addColorStop( 16/16, "#44A31D" );
	}
	ctx.fillStyle = grad;
	draw_rRect( p_Left+r, p_Top+r, p_Left+r+rectWidth, p_Bottom-r, 0 );

	grad  = ctx.createLinearGradient( p_Left+r, 0, p_Left+r+rectWidth, 0 );
	var wp = r/rectWidth;
	grad.addColorStop( 0, "rgba( 255, 255, 255, 0.3 )" ); 
	grad.addColorStop( wp, "rgba( 255, 255, 255, 0.0 )" ); 
	grad.addColorStop( 1-wp, "rgba( 255, 255, 255, 0.0 )" ); 
	grad.addColorStop( 1, "rgba( 255, 255, 255, 0.3 )" ); 
	ctx.fillStyle = grad;
	draw_rRect( p_Left+r, p_Top+r, p_Left+r+rectWidth, p_Bottom-r, 0 );

	function draw_charging( offset ) {
		ctx.beginPath();
		ctx.moveTo( r+m*11.5, p_Top+r +offset );
		ctx.lineTo( r+m*9, p_Top+r+m*3.5 +offset );
		ctx.lineTo( r+m*13, p_Top+r+m*3.5 +offset );
		ctx.lineTo( r+m*5.5, p_Top+r+m*8 +offset );
		ctx.lineTo( r+m*8, p_Top+r+m*4.5 +offset );
		ctx.lineTo( r+m*4, p_Top+r+m*4.5 +offset );
		ctx.closePath();
		ctx.fill();
	}
	if( charge == true && percent < 100 ) {
		ctx.fillStyle = "rgba( 255, 255, 255, 0.3 )";
		draw_charging( 2 );
		draw_charging( 1 );
		ctx.fillStyle="black";
		draw_charging( 0 );
	}

	function draw_charged( offset ) {
		ctx.beginPath();
		ctx.moveTo( r+m*2, p_Top+r+m*3 +offset );
		ctx.lineTo( r+m*6, p_Top+r+m*3 +offset );
		ctx.lineTo( r+m*8, p_Top+r+m*1 +offset );
		ctx.lineTo( r+m*12, p_Top+r+m*1 +offset );
		ctx.lineTo( r+m*12, p_Top+r+m*2 +offset );
		ctx.lineTo( r+m*14, p_Top+r+m*2 +offset );
		ctx.lineTo( r+m*14, p_Top+r+m*3 +offset );
		ctx.lineTo( r+m*12, p_Top+r+m*3 +offset );
		ctx.lineTo( r+m*12, p_Top+r+m*5 +offset );
		ctx.lineTo( r+m*14, p_Top+r+m*5 +offset );
		ctx.lineTo( r+m*14, p_Top+r+m*6 +offset );
		ctx.lineTo( r+m*12, p_Top+r+m*6 +offset );
		ctx.lineTo( r+m*12, p_Top+r+m*7 +offset );
		ctx.lineTo( r+m*8, p_Top+r+m*7 +offset );
		ctx.lineTo( r+m*6, p_Top+r+m*5 +offset );
		ctx.lineTo( r+m*2, p_Top+r+m*5 +offset );
		ctx.closePath();
		ctx.fill();
	}
	if( charge == true && percent == 100 ) {
		ctx.fillStyle = "rgba( 255, 255, 255, 0.3 )";
		draw_charged( 2 );
		draw_charged( 1 );
		ctx.fillStyle="black";
		draw_charged( 0 );
	}

	return canvas.toDataURL("image/png");
}
